Gamestate.help = Gamestate.new()
local state = Gamestate.help


function love.load()
	menuBackground = love.graphics.newImage('/images/Citybackgroundday.png')
	helpbg = love.graphics.newImage('/images/helpbg.png')
	
	--header = love.graphics.newFont(20)
	--sub = love.graphics.newFont(16)
	--text = love.graphics.newFont(12)
end

function state:draw()
	font = love.graphics.setColor(255,255,255,255)
	love.graphics.draw(menuBackground, 0, 0)
	love.graphics.draw(helpbg, 150, 60)
	
	love.graphics.print("FPS: "..tostring(love.timer.getFPS( )), 10, 10)
		
	love.graphics.setColor(0, 0, 0, 255)
	love.graphics.setFont(header)
	love.graphics.print("Help Menu", 354,70 )

	love.graphics.setFont(sub)
	love.graphics.print("Controls", 175,80)
	love.graphics.print("Power Ups & Power Downs", 175, 170)
	
	love.graphics.setFont(text)
	love.graphics.print("Increase\n".."maximum speed", 220, 198)
	love.graphics.print("Decrease\n".."maximum speed", 370, 198)
	love.graphics.print("Increase\n".."time left", 520, 198)
	love.graphics.print("Decrease\n".."time left", 220, 252)
	love.graphics.print("Decrease\n".."player size", 370, 252)
	love.graphics.print("Increase\n".."player size", 520, 252)
	love.graphics.print("Player becomes\n".."invincible", 220, 304)
	
	love.graphics.print("Jump", 180,105)
	love.graphics.print("Slide", 180,120)
	love.graphics.print("Run Quicker", 180,135)
	love.graphics.print("Run Slower", 180,150)
	
	love.graphics.print("Up or W", 280,105)
	love.graphics.print("Down or S", 280,120)
	love.graphics.print("Right or D", 280,135)
	love.graphics.print("Left or A", 280,150)
	
	love.graphics.print("Back", 550,330)
	--love.graphics.rectangle("line", 545, 325, 50,20)
end

function state:update(dt)
	function love.mousepressed( x, y)
		if x > 545 and x < 595 and y > 325 and y < 345 then 
			Gamestate.switch(Gamestate.menu)
		end
	end
end